Attributes
| Attribute | Type | Description |
|---|---|---|
| id | string | Unique ID of webhook configuration |
| name | string | Public name for webhook configuration |
| webhook_url | string | Webhook URL to send event data |
| events | string | List of events connected to webhook URL |
| env_type | string | Type of environment, sandbox, dev, or prod |
| created_at | string | ISO 8601 value for when the webhook configuration was created |
| updated_at | string | ISO 8601 value for when the webhook configuration was updated |
Endpoints
Available endpoints for Webhooks are in the list below.- List all webhook endpoints - GET /webhooks/
- Create a webhook endpoint - POST /webhooks/
- Retrieve a webhook endpoint - GET webhooks/{id}/
- Update a webhook endpoint - PATCH webhooks/{id}/
- Delete a webhook endpoint - DELETE webhooks/{id}/
Example response
View the response for the Webhooks endpoints below.Webhook request history
Overview
Use the Webhook request history endpoint to review and debug webhook delivery attempts made by Truv to your configured webhook URLs. This endpoint returns a paginated list of webhook delivery attempts, including metadata such as delivery status and timestamps. It can help you:- Confirm that Truv attempted to send a webhook
- Investigate failed deliveries (non-2xx responses, timeouts, etc.)
- Correlate webhook attempts with your internal logs
- Audit recent webhook activity
Endpoints
- List webhook request history - GET /webhook-requests/